#include <errno.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "metados.h"


int main(void)
{
#if 1
	FILE *f = fopen("X:\\dev\\nfstderr", "w");
	if ( f) {
		char buf[] = "Test NF_STDERR\r\n";
		fwrite(buf, strlen(buf), 1, f);
		fclose( f);
	}
#else
	metainit_t	metainit={0,0,0,0};
	metaopen_t	metaopen;
	int handle;

	Metainit(&metainit);
	if (metainit.version == NULL) {
		fprintf(stderr, "MetaDOS not installed\n");
		return -1;
	}

	if (metainit.drives_map == 0) {
		fprintf(stderr, "No MetaDOS devices present\n");
		return -1;
	}

	handle = Metaopen('E', &metaopen);
	if (handle >= 0) {
		char buf[] = "Test NF_STDERR\r\n";
		Metawrite('E', buf, 0, strlen(buf));
		Metaclose('E');
	}
#endif
	return 0;
}

